diff -urN a/debian/changelog b/debian/changelog
--- a/debian/changelog	2022-01-20 06:09:01.000000000 +0000
+++ b/debian/changelog	2022-02-13 01:38:45.715316476 +0000
@@ -1,3 +1,9 @@
+chromium (99.0.4818.0-0.1raptor0) experimental; urgency=low
+
+  * POWER build for RCS systems
+
+ -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 07 Feb 2022 12:57:00 -0500
+
 chromium (99.0.4818.0-0.1) experimental; urgency=low
 
   * Non-maintainer upload.
diff -urN a/debian/control b/debian/control
--- a/debian/control	2022-01-20 06:08:17.000000000 +0000
+++ b/debian/control	2022-02-13 01:38:45.715316476 +0000
@@ -102,7 +102,7 @@
  fonts-ipafont-mincho,
 
 Package: chromium
-Architecture: i386 amd64 arm64 armhf
+Architecture: i386 amd64 arm64 armhf ppc64el
 Built-Using: ${Built-Using}
 Depends:
  ${misc:Depends},
@@ -146,7 +146,7 @@
  ro, ru, sk, sl, sr, sv, sw, ta, te, th, tr, uk, vi, zh-CN, zh-TW
 
 Package: chromium-shell
-Architecture: i386 amd64 arm64 armhf
+Architecture: i386 amd64 arm64 armhf ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -163,7 +163,7 @@
  (the content shell).
 
 Package: chromium-driver
-Architecture: i386 amd64 arm64 armhf
+Architecture: i386 amd64 arm64 armhf ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -176,7 +176,7 @@
  automatic webdriver.
 
 Package: chromium-common
-Architecture: i386 amd64 arm64 armhf
+Architecture: i386 amd64 arm64 armhf ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -202,7 +202,7 @@
  packages.
 
 Package: chromium-sandbox
-Architecture: i386 amd64 arm64 armhf
+Architecture: i386 amd64 arm64 armhf ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
diff -urN a/debian/patches/series b/debian/patches/series
--- a/debian/patches/series	2022-01-20 06:08:17.000000000 +0000
+++ b/debian/patches/series	2022-02-13 01:40:54.752164612 +0000
@@ -74,3 +74,65 @@
 upstream/prediction-common.patch
 fixes/icu-types.patch
 fixes/ts-resources.patch
+
+# Fix silent rollup.js generation failures
+fixes/use-system-terser.patch
+
+# POWER support
+ppc64le/sandbox/0001-linux-seccomp-bpf-ppc64-glibc-workaround-in-SIGSYS-h.patch
+ppc64le/sandbox/0001-sandbox-Enable-seccomp_bpf-for-ppc64.patch
+ppc64le/sandbox/0001-services-service_manager-sandbox-linux-Fix-TCGETS-de.patch
+ppc64le/sandbox/0001-sandbox-linux-bpf_dsl-Update-syscall-ranges-for-ppc6.patch
+ppc64le/sandbox/0001-sandbox-linux-Implement-partial-support-for-ppc64-sy.patch
+ppc64le/sandbox/0001-sandbox-linux-Update-IsSyscallAllowed-in-broker_proc.patch
+ppc64le/sandbox/0001-sandbox-linux-Update-syscall-helpers-lists-for-ppc64.patch
+ppc64le/sandbox/0002-sandbox-linux-bpf_dsl-Modify-seccomp_macros-to-add-s.patch
+ppc64le/sandbox/0003-sandbox-linux-system_headers-Update-linux-seccomp-he.patch
+ppc64le/sandbox/0004-sandbox-linux-system_headers-Update-linux-signal-hea.patch
+ppc64le/sandbox/0005-sandbox-linux-seccomp-bpf-Add-ppc64-syscall-stub.patch
+ppc64le/sandbox/0005-sandbox-linux-update-unit-test-for-ppc64.patch
+ppc64le/sandbox/0006-sandbox-linux-disable-timedwait-time64-ppc64.patch
+ppc64le/sandbox/0007-sandbox-linux-add-ppc64-stat.patch
+ppc64le/sandbox/Sandbox-linux-services-credentials.cc-PPC.patch
+ppc64le/sandbox/0008-sandbox-fix-ppc64le-glibc234.patch
+
+ppc64le/third_party/0001-third_party-angle-Include-missing-header-cstddef-in-.patch
+ppc64le/third_party/0001-third_party-boringssl-Properly-detect-ppc64le-in-BUI.patch
+ppc64le/third_party/0001-third_party-libvpx-Properly-generate-gni-on-ppc64.patch
+ppc64le/third_party/0001-third_party-lss-Don-t-look-for-mmap2-on-ppc64.patch
+ppc64le/third_party/0001-third_party-pffft-Include-altivec.h-on-ppc64-with-SI.patch
+ppc64le/third_party/0002-third_party-libvpx-Add-ppc64-sources-to-gni.patch
+ppc64le/third_party/0002-third_party-lss-kernel-structs.patch
+
+ppc64le/third_party/0001-Enable-third-party-libgav1-parser.patch
+
+ppc64le/webrtc/Modules-desktop_capture-differ_block.cc-PPC.patch
+ppc64le/webrtc/Rtc_base-system-arch.h-PPC.patch
+
+ppc64le/crashpad/0002-Include-cstddef-to-fix-build.patch
+ppc64le/third_party/0004-third_party-crashpad-port-curl-transport-ppc64.patch
+
+ppc64le/workarounds/HACK-third_party-libvpx-use-generic-gnu.patch
+
+ppc64le/libaom/0001-Add-ppc64-target-to-libaom.patch
+ppc64le/libaom/0001-Add-pregenerated-config-for-libaom-on-ppc64.patch
+
+ppc64le/third_party/0003-third_party-libvpx-Add-ppc64-generated-config.patch
+ppc64le/third_party/0003-third_party-ffmpeg-Add-ppc64-generated-config.patch
+ppc64le/third_party/0004-third_party-libvpx-work-around-ambiguous-vsx.patch
+
+ppc64le/ffmpeg/0001-Add-support-for-ppc64.patch
+ppc64le/breakpad/0001-Implement-support-for-ppc64-on-Linux.patch
+ppc64le/crashpad/0001-Implement-support-for-PPC64-on-Linux.patch
+ppc64le/database/0001-Properly-detect-little-endian-PPC64-systems.patch
+ppc64le/third_party/0001-Force-baseline-POWER8-AltiVec-VSX-CPU-features-when-.patch
+ppc64le/fixes/fix-breakpad-compile.patch
+ppc64le/v8/0002-Add-ppc64-trap-instructions.patch
+
+ppc64le/third_party/0001-Add-PPC64-support-for-libdav1d.patch
+ppc64le/third_party/0001-Fix-libdav1d-compilation-on-clang-ppc.patch
+# Multiple Clang 11 bugs hit with VSX enabled, including bug #50520 (D103386)
+#ppc64le/third_party/skia-vsx-instructions.patch
+ppc64le/sandbox/fix-ppc64-linux-syscalls-headers.patch
+ppc64le/third_party/0003-thirdparty-fix-dav1d-gn.patch
+ppc64le/third_party/use-sysconf-page-size-on-ppc64.patch
diff -urN a/debian/rules b/debian/rules
--- a/debian/rules	2022-01-19 03:58:53.000000000 +0000
+++ b/debian/rules	2022-02-13 01:38:45.735314128 +0000
@@ -57,6 +57,9 @@
 ifeq (armhf,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"arm\" use_vaapi=false arm_use_neon=false
 endif
+ifeq (ppc64el,$(DEB_HOST_ARCH))
+defines+=host_cpu=\"ppc64\" use_vaapi=true
+endif
 
 # disabled features
 defines+=is_debug=false \
